Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic Namespace Reference

Forward declarations. More...

## Compounds
class | ExceptionList
struct | Parameter
class | ParameterList
## Typedefs
typedef TAO_Var_Var_T< Parameter > | Parameter_var
typedef TAO_Out_T< Parameter, Parameter_var > | Parameter_out
typedef TAO_VarSeq_Var_T< ParameterList, Parameter > | ParameterList_var
typedef TAO_Seq_Out_T< ParameterList, ParameterList_var, Parameter > | ParameterList_out
typedef CORBA::StringSeq | ContextList
typedef CORBA::StringSeq_var | ContextList_var
typedef CORBA::StringSeq_out | ContextList_out
typedef TAO_MngSeq_Var_T< ExceptionList, TAO_Pseudo_Object_Manager< CORBA::TypeCode > > | ExceptionList_var
typedef TAO_MngSeq_Out_T< ExceptionList, ExceptionList_var, TAO_Pseudo_Object_Manager< CORBA::TypeCode > > | ExceptionList_out
typedef CORBA::StringSeq | RequestContext
typedef CORBA::StringSeq_var | RequestContext_var
typedef CORBA::StringSeq_out | RequestContext_out
## Variables
::CORBA::TypeCode_ptr | _tc_Parameter
::CORBA::TypeCode_ptr | _tc_ParameterList
::CORBA::TypeCode_ptr | _tc_ContextList
::CORBA::TypeCode_ptr | _tc_ExceptionList
::CORBA::TypeCode_ptr | _tc_RequestContext

## Detailed Description

Forward declarations.

## Typedef Documentation

typedef CORBA::StringSeq Dynamic::ContextList

typedef CORBA::StringSeq_out Dynamic::ContextList_out

typedef CORBA::StringSeq_var Dynamic::ContextList_var

typedef TAO_MngSeq_Out_T< ExceptionList, ExceptionList_var, TAO_Pseudo_Object_Manager< CORBA::TypeCode > > Dynamic::ExceptionList_out

typedef TAO_MngSeq_Var_T< ExceptionList, TAO_Pseudo_Object_Manager< CORBA::TypeCode > > Dynamic::ExceptionList_var

typedef TAO_Out_T< Parameter, Parameter_var > Dynamic::Parameter_out

typedef TAO_Var_Var_T< Parameter > Dynamic::Parameter_var

typedef TAO_Seq_Out_T< ParameterList, ParameterList_var, Parameter > Dynamic::ParameterList_out

typedef TAO_VarSeq_Var_T< ParameterList, Parameter > Dynamic::ParameterList_var

typedef CORBA::StringSeq Dynamic::RequestContext

typedef CORBA::StringSeq_out Dynamic::RequestContext_out

typedef CORBA::StringSeq_var Dynamic::RequestContext_var

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Dynamic::_tc_ContextList

| Initial value:
        &_tc_TAO_tc_Dynamic_ContextList

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Dynamic::_tc_ExceptionList

| Initial value:
        &_tc_TAO_tc_Dynamic_ExceptionList

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Dynamic::_tc_Parameter

| Initial value:
        &_tc_TAO_tc_Dynamic_Parameter

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Dynamic::_tc_ParameterList

| Initial value:
        &_tc_TAO_tc_Dynamic_ParameterList

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Dynamic::_tc_RequestContext

| Initial value:
        &_tc_TAO_tc_Dynamic_RequestContext